Debian 9 и RStudio

Я просто переключился на Debian после недавней версии версии 9. Я много работаю с RStudio и, таким образом, пытался установить стабильные и тестовые версии, которые оба потерпели неудачу из-за недостающей библиотеки libgstreamer0.10-0. Похоже, что установлена ​​более новая версия этого пакета, но 0.10-0 недоступна в растяжке. Есть ли способ установить RStudio, несмотря на недостающий пакет? Помощь очень ценится. Извините, если это не подходящее место, чтобы задать этот вопрос.

ОС: Debian 9
RStudio: 1.0.143-amd64

Редактировать:

Установка была выполнена с использованием gdebi.

Изменить 2:

После установки libgstreamer0.10 и libgstreamer-base-0.10 как описано в связанном вопросе, я теперь получаю libssl1.0.0 как libssl1.0.0 зависимость в gdebi.

Редактировать 3:

Получите lissl1.0.0 отсюда и установите. После этого Rstudio устанавливается и работает нормально (я буду отчитываться, если у меня возникнут проблемы).

  • Проблема с установкой fedora 17 в usb
  • Как установить kvm в Debian (Lenny) поверх powerpc
  • Файл пакета без .rpm или .tar.gz ... Что делать?
  • Установка Silent MySQL Server
  • Что такое приложение sfp для графического интерфейса по умолчанию в Debian?
  • Установка на debian 5 32-bit без root
  • Как установить R-base sid в Debian jessie?
  • Установка Rubymine без sun-java6-jre
  • 3 Solutions collect form web for “Debian 9 и RStudio”

    Я думаю, что RStudio 1.0.143 достаточно для Debian 9. Вам просто нужно исправить несколько пакетов там. Сделайте и, пожалуйста, сообщите нам, что вы получаете от шага (2)

    1. Исправить проблему libgstreamer0.10-0 как описано в разделе здесь.
    2. Исправить проблему libssl1.0.0 .

      Скачайте libssl1.0.0 здесь

    3. Установите libssl1.0.0, установите Rstudio

    4. Наслаждайтесь Rstudio;)

    Обновленная версия RStudio доступна для Ubuntu 16.04+ и Debian 9+ (только для 64-разрядных) на странице загрузки .

    Используя эту версию, установка выполняется плавно с помощью sudo gdebi rstudio-xenial-1.1.350-amd64.deb на Debian 9.1. 🙂

    Альтернативный ответ:

    1. Установите libgstreamer0.10-0 и libgstreamer-plugins-base0.10-0 соответствии с принятым ответом здесь
    2. cd в каталог с файлом debstudio и Run (замените XXX на версию пакета):

       dpkg --ignore-depends=libssl1.0.0 -i rstudio-1.0.XXX-amd64.deb 
    3. Запустите (замените nano на ваш редактор, если вам это нравится):

       sudo nano /var/lib/dpkg/status 
    4. Найдите запись rstudio и удалите libssl1.0.0 из libssl1.0.0 Depends: ...

    5. Наслаждайтесь Rstudio

    Рекомендации:

    Игнорировать зависимости при установке

    Ingnore Broken Packages

    Linux и Unix - лучшая ОС в мире.